Subject: Re: [RFC/PATCH 5/14] powerpc: Fix 440/440A machine check handling

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 22 Nov 2007 07:05:25 +1100

On Wed, 2007-11-21 at 13:51 -0600, Josh Boyer wrote:
> > Hrm... it's per processor, not per board. I didn't feel like digging
> > which board uses which processor and go fixup all the ppc_md's
> 
> Sounds like something a generic function could probe for from the DTS.
> I'll look at doing something here when I start making 44x
> multiplatform
> (soon).

Well... we already probe the CPU type.... from cputable.

So if there was a place to put that, it would be the cputable.

Ben.